## squashfs-mount 1.0.0

=== Makefile ===
.PHONY: install install-suid clean

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin

CFLAGS ?= -Os -Wall -Wpedantic -Wextra -Wformat-overflow -Werror-implicit-function-declaration
LDFLAGS ?= -Wl,--gc-sections,-s

SQUASHFS_MOUNT_VERSION := $(shell cat VERSION)
SQUASHFS_MOUNT_CFLAGS = -std=c99 -DVERSION=\"$(SQUASHFS_MOUNT_VERSION)\"
SQUASHFS_MOUNT_LDFLAGS = -lmount

RPMBUILD ?= rpmbuild

all: squashfs-mount

%.o: %.c
	$(CC) $(CFLAGS) $(SQUASHFS_MOUNT_CFLAGS) -c -o $@ $<

squashfs-mount.o: VERSION

squashfs-mount: squashfs-mount.o
	$(CC) $< $(LDFLAGS) $(SQUASHFS_MOUNT_LDFLAGS) -o $@

install: squashfs-mount
	mkdir -p $(DESTDIR)$(bindir)
	cp -p squashfs-mount $(DESTDIR)$(bindir)

install-suid: install
	chown root:root $(DESTDIR)$(bindir)/squashfs-mount
	chmod u+s $(DESTDIR)$(bindir)/squashfs-mount

rpm: squashfs-mount.c VERSION LICENSE Makefile
	./generate-rpm.sh -b $@
	$(RPMBUILD) -bs --define "_topdir $@" $@/SPECS/squashfs-mount.spec

clean:
	rm -rf squashfs-mount squashfs-mount.o rpm

=== debian/changelog ===
squashfs-mount (1.0.0-2) unstable; urgency=medium

  * debian/tests: Add basic smoke-test for squashfs-mount

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 04 Aug 2024 17:50:55 +0200

squashfs-mount (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #1076550)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Jul 2024 12:47:17 +0200

## squashfs-mount 1.0.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 exec_prefix = $(prefix)
 bindir = $(exec_prefix)/bin
 
+CPPFLAGS ?=
 CFLAGS ?= -Os -Wall -Wpedantic -Wextra -Wformat-overflow -Werror-implicit-function-declaration
 LDFLAGS ?= -Wl,--gc-sections,-s
 
@@ -16,7 +17,7 @@
 all: squashfs-mount
 
 %.o: %.c
-	$(CC) $(CFLAGS) $(SQUASHFS_MOUNT_CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(SQUASHFS_MOUNT_CFLAGS) -c -o $@ $<
 
 squashfs-mount.o: VERSION

=== debian/changelog ===
squashfs-mount (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 05 Aug 2024 06:57:02 +0200

## squashfs-mount 1.1.0

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,10 @@
 prefix = /usr/local
 exec_prefix = $(prefix)
 bindir = $(exec_prefix)/bin
+datarootdir = $(prefix)/share
+mandir ?= $(datarootdir)/man
 
-CPPFLAGS ?=
+CPPFLAGS ?= -Wdate-time -D_FORTIFY_SOURCE=2
 CFLAGS ?= -Os -Wall -Wpedantic -Wextra -Wformat-overflow -Werror-implicit-function-declaration
 LDFLAGS ?= -Wl,--gc-sections,-s
 
@@ -27,12 +29,14 @@
 install: squashfs-mount
 	mkdir -p $(DESTDIR)$(bindir)
 	cp -p squashfs-mount $(DESTDIR)$(bindir)
+	mkdir -p $(DESTDIR)$(mandir)/man1
+	cp -p doc/squashfs-mount.1 $(DESTDIR)$(mandir)/man1
 
 install-suid: install
 	chown root:root $(DESTDIR)$(bindir)/squashfs-mount
 	chmod u+s $(DESTDIR)$(bindir)/squashfs-mount
 
-rpm: squashfs-mount.c VERSION LICENSE Makefile
+rpm: squashfs-mount.c VERSION LICENSE Makefile doc/squashfs-mount.1
 	./generate-rpm.sh -b $@
 	$(RPMBUILD) -bs --define "_topdir $@" $@/SPECS/squashfs-mount.spec

=== debian/changelog ===
squashfs-mount (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Drop installation of Debian provided manpages (upstreamed)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 21 Aug 2024 00:22:08 +0200

=== debian/control ===
Source: squashfs-mount
Section: utils
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper-compat (= 13), libmount-dev
Standards-Version: 4.7.0
Homepage: https://github.com/eth-cscs/squashfs-mount
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/carnil/squashfs-mount.git
Vcs-Browser: https://salsa.debian.org/carnil/squashfs-mount

Package: squashfs-mount
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: setuid utility instead of FUSE for mounting squashfs files
 squashfs-mount is a small setuid binary that effectively runs
 .
 mount -n -o loop,nosuid,nodev,ro -t squashfs [image] [mountpoint]
 .
 in a mount namespace and then executes the given command as the
 invoking user.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_fixperms:
	dh_fixperms
	chmod u+s $(TMP)/usr/bin/squashfs-mount

=== debian/tests/control ===
Tests: smoke-test
Depends: @, shunit2, squashfs-tools
Restrictions: isolation-machine

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, uversionmangle=s|-rc|~rc|" \
https://github.com/eth-cscs/@PACKAGE@/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
